%define section free
%define base_version 3.0
%define main_version 3.0
%define hname hibernate-annotations

Summary:        Relational persistence and query service
Name:           %{hname}
Version:        %{main_version}
Release:        0.b2.1jpp
Epoch:          0
License:        LGPL
URL:            http://annotations.hibernate.org/
Group:          Database
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        hibernate-annotations-3.0beta2.tar.gz
Patch0:         hibernate-annotations-common-build_xml.patch


BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  java-devel >= 0:1.5
BuildRequires:  ant
BuildRequires:  hibernate3

BuildRequires:  jakarta-commons-logging
BuildRequires:  dom4j 
Requires:  java >= 0:1.5
Requires:  hibernate3
Requires:  jakarta-commons-logging
Requires:  dom4j
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Hibernate, like all other object/relational mapping tools, 
requires metadata that governs the transformation of data 
from one representation to the other (and vice versa). In 
Hibernate 2.x, mapping metadata is most of the time declared 
in XML text files. Another option is XDoclet, utilizing 
Javadoc source code annotations and a preprocessor at compile 
time.
The same kind of annotation support is now available in the 
standard JDK, although more powerful and better supported by 
tools. IntelliJ IDEA, for example, supports auto-completion 
and syntax highlighting of JDK 5.0 annotations. The EJB3 
specification standardizes the basic APIs and the metadata 
(using JDK 5.0 annotations) needed for any object/relational 
persistence mechanism. Hibernate EntityManager for EJB3 
implements the programming interfaces and lifecycle rules as 
defined by the EJB3 persistence specification. Both Hibernate 
EntityManager and Hibernate Annotations are available in 
standalone preview releases, however, they require Hibernate 
3.1 and JDK 5.0. If you are not using EJB3 persistence, 
please continue using Hibernate 3.0.x (with any JDK supported).
The Hibernate Annotations package provides annotations for
Standard JSR-220 defined O/R mapping
Hibernate O/R mapping extensions
Data validation via the Hibernate Validator framework



#%package javadoc
#Summary:        Javadoc for %{name}
#Group:          Development/Documentation

#%description javadoc
#Javadoc for %{name}.

%prep
%setup -q -n %{hname}-%{base_version}beta2
# remove all binary libs
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done
mkdir test_output

%patch0 -b .sav

%build
export JAVA_HOME=/usr/lib/jvm/java-1.5.0
build-jar-repository -s -p . \
hibernate3

mv lib/ejb-3.0-edr2.jar.no lib/ejb-3.0-edr2.jar

build-jar-repository -s -p lib \
commons-logging \
dom4j \


ant -Djdk15.home=/usr/lib/jvm/java-1.5.0 

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}

cp -p target/%{name}/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

## javadoc
#mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
#cp -pr doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
#ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p lgpl.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

#%post javadoc
#rm -f %{_javadocdir}/%{name}
#ln -s %{name}-%{version} %{_javadocdir}/%{name}

#%postun javadoc
#if [ "$1" = "0" ]; then
#  rm -f %{_javadocdir}/%{name}
#fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/lgpl.txt
%{_javadir}/*.jar

#%files javadoc
#%defattr(0644,root,root,0755)
#%{_javadocdir}/%{name}-%{version}
#%ghost %doc %{_javadocdir}/%{name}


%changelog
* Tue Sep 20 2005 Ralph Apel <r.apel at r-apel.de> - 0:3.0-0.b2.1jpp
- First JPackage release
